Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.ui.tapestry.components.dialog
Class CBGModifyDialog

    java.lang.Object
      org.apache.hivemind.impl.BaseLocatable
          org.apache.tapestry.AbstractComponent
              org.apache.tapestry.BaseComponent
                  org.hyperic.ui.tapestry.components.BaseComponent
                      org.hyperic.ui.tapestry.components.dialog.CBGModifyDialog

All Implemented Interfaces:
  org.apache.hivemind.Locatable, org.apache.hivemind.LocationHolder, org.apache.tapestry.IComponent, org.apache.tapestry.IDirectEvent, org.apache.tapestry.internal.Component, org.apache.tapestry.IRender, org.apache.tapestry.ITemplateComponent

    public abstract class CBGModifyDialog

extends BaseComponent

Field Summary

Fields inherited from class org.apache.tapestry.AbstractComponent
`_body, _bodyCount`

Constructor Summary
`CBGModifyDialog()`

Method Summary
`abstract org.apache.tapestry.form.IPropertySelectionModel` | `getAvailableAddItems()`
`abstract org.apache.tapestry.form.IPropertySelectionModel` | `getAvailableRemoveItems()`
`abstract java.lang.String` | `getGroupName()`
`abstract org.apache.tapestry.IActionListener` | `getModifyListener()`
`abstract org.apache.tapestry.IScript` | `getScript()`
`abstract java.util.List` | `getSelectedAddItems()`
`abstract java.util.List` | `getSelectedRemoveItems()`
`void` | `renderComponent(org.apache.tapestry.IMarkupWriter writer, org.apache.tapestry.IRequestCycle cycle)`
`abstract void` | `setAvailableAddItems(org.apache.tapestry.form.IPropertySelectionModel model)`
`abstract void` | `setAvailableRemoveItems(org.apache.tapestry.form.IPropertySelectionModel model)`
`abstract void` | `setGroupName(java.lang.String name)`
`abstract void` | `setModifyListener(org.apache.tapestry.IActionListener listener)`
`abstract void` | `setSelectedAddItems(java.util.List items)`
`abstract void` | `setSelectedRemoveItems(java.util.List items)`

Methods inherited from class org.hyperic.ui.tapestry.components.BaseComponent
`getIsLoggedIn, getPageName, getRequest, getResponse, getServletContext, getUserName`

Methods inherited from class org.apache.tapestry.BaseComponent
`addOuter, finishLoad, getContainedRenderers, getInnerRenderers`

Methods inherited from class org.apache.tapestry.AbstractComponent
`addAsset, addBody, addComponent, checkActiveLock, cleanupAfterRender, enterActiveState, equals, finishLoad, generateClientId, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getBody, getBodyCount, getBoundId, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getRenderWorker, getSpecification, getSpecifiedId, getTemplateTagName, hasEvents, hashCode, isInActiveState, isParameterBound, isRendering, isStateful, pageEndRender, peekClientId, prepareForRender, render, renderBody, renderIdAttribute, renderInformalParameters, setBinding, setClientId, setContainedComponent, setContainer, setHasEvents, setId, setNamespace, setPage, setTemplateTagName, toString, triggerEvent`

Methods inherited from class org.apache.hivemind.impl.BaseLocatable
`getLocation, setLocation`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.apache.tapestry.IComponent
`addAsset, addBody, addComponent, enterActiveState, getAsset, getAssets, getBeans, getBinding, getBindingNames, getBindings, getClientId, getComponent, getComponents, getContainedComponent, getContainer, getEventInvoker, getExtendedId, getId, getIdPath, getListeners, getMessages, getNamespace, getPage, getSpecification, getSpecifiedId, getTemplateTagName, isRendering, peekClientId, renderBody, setBinding, setClientId, setContainedComponent, setContainer, setId, setNamespace, setPage, setTemplateTagName`

Methods inherited from interface org.apache.tapestry.IRender
`render`

Methods inherited from interface org.apache.hivemind.LocationHolder
`setLocation`

Methods inherited from interface org.apache.hivemind.Locatable
`getLocation`

Constructor Detail

### CBGModifyDialog

    public CBGModifyDialog()

Method Detail

### getGroupName

    @Parameter(name="groupName",
               defaultValue="",
               required=true)
    public abstract java.lang.String getGroupName()

### setGroupName

    public abstract void setGroupName(java.lang.String name)

### getModifyListener

    @Parameter(name="modifyListener",
               required=true)
    public abstract org.apache.tapestry.IActionListener getModifyListener()

### setModifyListener

    public abstract void setModifyListener(org.apache.tapestry.IActionListener listener)

### setSelectedAddItems

    @Parameter(name="selectedAddItems",
               required=true)
    public abstract void setSelectedAddItems(java.util.List items)

### getSelectedAddItems

    public abstract java.util.List getSelectedAddItems()

### setSelectedRemoveItems

    @Parameter(name="selectedRemoveItems",
               required=true)
    public abstract void setSelectedRemoveItems(java.util.List items)

### getSelectedRemoveItems

    public abstract java.util.List getSelectedRemoveItems()

### setAvailableAddItems

    @Parameter(name="availableAddItems",
               required=true)
    public abstract void setAvailableAddItems(org.apache.tapestry.form.IPropertySelectionModel model)

### getAvailableAddItems

    public abstract org.apache.tapestry.form.IPropertySelectionModel getAvailableAddItems()

### setAvailableRemoveItems

    @Parameter(name="availableRemoveItems",
               required=true)
    public abstract void setAvailableRemoveItems(org.apache.tapestry.form.IPropertySelectionModel model)

### getAvailableRemoveItems

    public abstract org.apache.tapestry.form.IPropertySelectionModel getAvailableRemoveItems()

### getScript

    @InjectScript(value="CBGModifyDialog.script")
    public abstract org.apache.tapestry.IScript getScript()

### renderComponent

    public void renderComponent(org.apache.tapestry.IMarkupWriter writer,
                                org.apache.tapestry.IRequestCycle cycle)

  Overrides:
    `renderComponent` in class `org.apache.tapestry.BaseComponent`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.